// drottestDlg.h : header file
//

#if !defined(AFX_DROTTESTDLG_H__07CBADE6_FDF2_11D0_8070_006097418C73__INCLUDED_)
#define AFX_DROTTESTDLG_H__07CBADE6_FDF2_11D0_8070_006097418C73__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CDrottestDlg dialog

class CDrottestDlg : public CDialog
{
// Construction
public:
	CDrottestDlg(CWnd* pParent = NULL);	// standard constructor
	IRunningObjectTable *	m_pRot ;

// Dialog Data
	//{{AFX_DATA(CDrottestDlg)
	enum { IDD = IDD_DROTTEST_DIALOG };
	CListBox	m_List;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDrottestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDrottestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnect();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DROTTESTDLG_H__07CBADE6_FDF2_11D0_8070_006097418C73__INCLUDED_)
